Update Group Info

PUT /internal/admin/comms/v1/group/{groupId}

Operation id: put__internal_admin_comms_v1_group_groupId_

Description

This API updates the groupname and description.

Tags: User Groups

Parameters

Path parameters

NameTypeRequiredDescription
groupIdintegerYesGroup ID

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Successfully updated group info

Content type: application/json

400 — Bad Request

Content type: application/json

401 — Unauthorized request

Content type: application/json

403 — Forbidden

Content type: application/json

404 — Group not found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
namestringNo
descriptionstringNo
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string"
    },
    "description": {
      "type": "string"
    }
  }
}

Response models

200 — Successfully updated group info

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

403 — Forbidden

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

404 — Group not found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}